Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.jdbc
Class DelegatingConnection

    java.lang.Object
      |
      +--com.solarmetric.jdbc.DelegatingConnection

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Connection

public class DelegatingConnection
extends Object
implements Connection, com.solarmetric.util.Closeable

Wrapper around an existing connection. Subclasses can override the methods whose behavior they mean to change. The `equals` and `hashCode` methods pass through to the base underlying data store connection.

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`DelegatingConnection(Connection conn)`

Method Summary
`protected void` | `appendInfo(StringBuffer buf)`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`Statement` | `createStatement()`
`protected Statement` | `createStatement(boolean wrap)` Create a statement, with the option of not wrapping it in a `DelegatingStatement`, which is the default.
`Statement` | `createStatement(int type, int concur)`
`protected Statement` | `createStatement(int type, int concur, boolean wrap)` Create a statement, with the option of not wrapping it in a `DelegatingStatement`, which is the default.
`Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`boolean` | `equals(Object other)`
`boolean` | `getAutoCommit()`
`String` | `getCatalog()`
`Connection` | `getDelegate()` Return the wrapped connection.
`int` | `getHoldability()`
`Connection` | `getInnermostDelegate()` Return the base underlying data store connection.
`DatabaseMetaData` | `getMetaData()`
`protected DatabaseMetaData` | `getMetaData(boolean wrap)` Return the metadata, with the option of not wrapping it in a `DelegatingDatabaseMetaData`, which is the default.
`int` | `getTransactionIsolation()`
`Map` | `getTypeMap()`
`SQLWarning` | `getWarnings()`
`int` | `hashCode()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`String` | `nativeSQL(String str)`
`CallableStatement` | `prepareCall(String str)`
`protected CallableStatement` | `prepareCall(String str, boolean wrap)` Prepare a call, with the option of not wrapping it in a `DelegatingCallableStatement`, which is the default.
`CallableStatement` | `prepareCall(String str, int type, int concur)`
`protected CallableStatement` | `prepareCall(String str, int type, int concur, boolean wrap)` Prepare a call, with the option of not wrapping it in a `DelegatingCallableStatement`, which is the default.
`CallableStatement` | `prepareCall(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String str)`
`protected PreparedStatement` | `prepareStatement(String str, boolean wrap)` Prepare a statement, with the option of not wrapping it in a `DelegatingPreparedStatement`, which is the default.
`PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
`PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
`PreparedStatement` | `prepareStatement(String str, int type, int concur)`
`protected PreparedStatement` | `prepareStatement(String str, int type, int concur, boolean wrap)` Prepare a statement, with the option of not wrapping it in a `DelegatingPreparedStatement`, which is the default.
`PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`
`void` | `releaseSavepoint(Savepoint savepoint)`
`void` | `rollback()`
`void` | `rollback(Savepoint savepoint)`
`void` | `setAutoCommit(boolean bool)`
`void` | `setCatalog(String str)`
`void` | `setHoldability(int holdability)`
`void` | `setReadOnly(boolean bool)`
`Savepoint` | `setSavepoint()`
`Savepoint` | `setSavepoint(String savepoint)`
`void` | `setTransactionIsolation(int i)`
`void` | `setTypeMap(Map map)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingConnection

    public DelegatingConnection(Connection conn)

Method Detail

### getDelegate

    public Connection getDelegate()

  Return the wrapped connection.

### getInnermostDelegate

    public Connection getInnermostDelegate()

  Return the base underlying data store connection.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### appendInfo

    protected void appendInfo(StringBuffer buf)

### createStatement

    public Statement createStatement()
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`

### createStatement

    protected Statement createStatement(boolean wrap)
                                 throws SQLException

  Create a statement, with the option of not wrapping it in a `DelegatingStatement`, which is the default.

### prepareStatement

    public PreparedStatement prepareStatement(String str)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`

### prepareStatement

    protected PreparedStatement prepareStatement(String str,
                                                 boolean wrap)
                                          throws SQLException

  Prepare a statement, with the option of not wrapping it in a `DelegatingPreparedStatement`, which is the default.

### prepareCall

    public CallableStatement prepareCall(String str)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`

### prepareCall

    protected CallableStatement prepareCall(String str,
                                            boolean wrap)
                                     throws SQLException

  Prepare a call, with the option of not wrapping it in a `DelegatingCallableStatement`, which is the default.

### nativeSQL

    public String nativeSQL(String str)
                     throws SQLException

  Specified by:
    `nativeSQL` in interface `Connection`

### setAutoCommit

    public void setAutoCommit(boolean bool)
                       throws SQLException

  Specified by:
    `setAutoCommit` in interface `Connection`

### getAutoCommit

    public boolean getAutoCommit()
                          throws SQLException

  Specified by:
    `getAutoCommit` in interface `Connection`

### commit

    public void commit()
                throws SQLException

  Specified by:
    `commit` in interface `Connection`

### rollback

    public void rollback()
                  throws SQLException

  Specified by:
    `rollback` in interface `Connection`

### close

    public void close()
               throws SQLException

  Specified by:
    `close` in interface `Connection`

### isClosed

    public boolean isClosed()
                     throws SQLException

  Specified by:
    `isClosed` in interface `Connection`

### getMetaData

    public DatabaseMetaData getMetaData()
                                 throws SQLException

  Specified by:
    `getMetaData` in interface `Connection`

### getMetaData

    protected DatabaseMetaData getMetaData(boolean wrap)
                                    throws SQLException

  Return the metadata, with the option of not wrapping it in a `DelegatingDatabaseMetaData`, which is the default.

### setReadOnly

    public void setReadOnly(boolean bool)
                     throws SQLException

  Specified by:
    `setReadOnly` in interface `Connection`

### isReadOnly

    public boolean isReadOnly()
                       throws SQLException

  Specified by:
    `isReadOnly` in interface `Connection`

### setCatalog

    public void setCatalog(String str)
                    throws SQLException

  Specified by:
    `setCatalog` in interface `Connection`

### getCatalog

    public String getCatalog()
                      throws SQLException

  Specified by:
    `getCatalog` in interface `Connection`

### setTransactionIsolation

    public void setTransactionIsolation(int i)
                                 throws SQLException

  Specified by:
    `setTransactionIsolation` in interface `Connection`

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws SQLException

  Specified by:
    `getTransactionIsolation` in interface `Connection`

### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

  Specified by:
    `getWarnings` in interface `Connection`

### clearWarnings

    public void clearWarnings()
                       throws SQLException

  Specified by:
    `clearWarnings` in interface `Connection`

### createStatement

    public Statement createStatement(int type,
                                     int concur)
                              throws SQLException

  Specified by:
    `createStatement` in interface `Connection`

### createStatement

    protected Statement createStatement(int type,
                                        int concur,
                                        boolean wrap)
                                 throws SQLException

  Create a statement, with the option of not wrapping it in a `DelegatingStatement`, which is the default.

### prepareStatement

    public PreparedStatement prepareStatement(String str,
                                              int type,
                                              int concur)
                                       throws SQLException

  Specified by:
    `prepareStatement` in interface `Connection`

### prepareStatement

    protected PreparedStatement prepareStatement(String str,
                                                 int type,
                                                 int concur,
                                                 boolean wrap)
                                          throws SQLException

  Prepare a statement, with the option of not wrapping it in a `DelegatingPreparedStatement`, which is the default.

### prepareCall

    public CallableStatement prepareCall(String str,
                                         int type,
                                         int concur)
                                  throws SQLException

  Specified by:
    `prepareCall` in interface `Connection`

### prepareCall

    protected CallableStatement prepareCall(String str,
                                            int type,
                                            int concur,
                                            boolean wrap)
                                     throws SQLException

  Prepare a call, with the option of not wrapping it in a `DelegatingCallableStatement`, which is the default.

### getTypeMap

    public Map getTypeMap()
                   throws SQLException

  Specified by:
    `getTypeMap` in interface `Connection`

### setTypeMap

    public void setTypeMap(Map map)
                    throws SQLException

  Specified by:
    `setTypeMap` in interface `Connection`

### setHoldability

    public void setHoldability(int holdability)
                        throws SQLException

### getHoldability

    public int getHoldability()
                       throws SQLException

### setSavepoint

    public Savepoint setSavepoint()
                           throws SQLException

### setSavepoint

    public Savepoint setSavepoint(String savepoint)
                           throws SQLException

### rollback

    public void rollback(Savepoint savepoint)
                  throws SQLException

### releaseSavepoint

    public void releaseSavepoint(Savepoint savepoint)
                          throws SQLException

### createStatement

    public Statement createStatement(int resultSetType,
                                     int resultSetConcurrency,
                                     int resultSetHoldability)
                              throws SQLException

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws SQLException

### prepareCall

    public CallableStatement prepareCall(String sql,
                                         int resultSetType,
                                         int resultSetConcurrency,
                                         int resultSetHoldability)
                                  throws SQLException

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int autoGeneratedKeys)
                                       throws SQLException

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              int[] columnIndexes)
                                       throws SQLException

### prepareStatement

    public PreparedStatement prepareStatement(String sql,
                                              String[] columnNames)
                                       throws SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.